Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.structure.io
Interface StructureIO

All Known Subinterfaces:
  StructureIOFile

All Known Implementing Classes:
  DASStructureClient, MMCIFFileReader, PDBFileReader, PDBMSDReader, PDBSRSReader

    public interface StructureIO

Defines the interface how to access Structure (- PDB file) input,output readers, writers.

Version:
  %I% %G%
Author:
  Andreas Prlic

Method Summary
`Structure` | `getStructureById(String pdbId)` Get a structure by providing a PDB code.

Method Detail

### getStructureById

    Structure getStructureById(String pdbId)
                               throws IOException

  Get a structure by providing a PDB code.

  Parameters:
    `pdbId` - a String specifying the id value (PDB code)
  Returns:
    a Structure object
  Throws:
    `IOException` - ...

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD